$packageName = 'teamviewer'
$installerType = 'exe'
$silentArgs = '/S'
$validExitCodes = @(0)
$url = 'https://download.teamviewer.com/download/version_10x/TeamViewer_Setup.exe'
$checksum = '668ba2180a8c010320a275cb09191cf477993993022bd73387c01d0f66784664'
$checksumType = 'sha256'

Install-ChocolateyPackage -PackageName "$packageName" `
                          -FileType "$installerType" `
                          -SilentArgs "$silentArgs" `
                          -Url "$url" `
                          -ValidExitCodes $validExitCodes `
                          -Checksum "$checksum" `
                          -ChecksumType "$checksumType"
