$packageName = 'teamviewer'
$softwareName = 'TeamViewer 10'
$fileType = 'exe'
$silentArgs = '/S'
$validExitCodes = @(0)

[array]$key = Get-UninstallRegistryKey -SoftwareName $softwareName

$key | ForEach-Object {
Uninstall-ChocolateyPackage -PackageName $packageName `
-FileType $fileType `
-SilentArgs $silentArgs `
-File $($_.UninstallString.Replace('"','')) `
-ValidExitCodes $validExitCodes
}
